#ifndef TABDIALOGMESSENGER_H
#define TABDIALOGMESSENGER_H

#include <QListWidget>

//Закладка ведения диалога с одним клиентом

//TODO сделать идентификацию по ID

class TabDialogMessenger : public QListWidget
{
    Q_OBJECT

public:
    TabDialogMessenger(QString userLogin, QString userId, QWidget *parent = nullptr);
    ~TabDialogMessenger();

    QString getUserLogin() {return login;};
    QString getUserId() {return userId;}

    void addMsgWidgetLocal(QString text, QString timeStr = "");
    void addMsgWidgetRemote(QString text, QString timeStr = "");

private:
    QString login;
    QString userId;
};

#endif // TABDIALOGMESSENGER_H
